List Connector Versions
curl --request GET \
--url https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"items": [
{
"id": "<string>",
"name": "<string>",
"isLatest": true,
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"messages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
}
],
"next": "<string>",
"prev": "<string>"
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}Connector Versions
List Connector Versions
ListConnectorVersions returns a page of ConnectorVersions ordered by most recently updated first. Customising the sort behaviour is not currently supported but may be added in the future. Similarly with filtering, this will be implemented in a future release.
GET
/
o
/
{organisation_id}
/
connectors
/
{connector_id}
/
versions
List Connector Versions
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Path Parameters
ID is the unique identifier of the Connector.
⌘I